# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        bind:
            $waitVideo: '%kernel.project_dir%/public/img/wait.mp4'
    

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

    App\Service\TelegramService:
        arguments:
            $apiToken: '%env(resolve:API_TOKEN)%'
    App\Command\BirthdayNotifierCommand:
        arguments:
            $groupChatId: '%env(resolve:TG_GROUP_ID)%'
    App\Service\BotTimeoutService:
        arguments:
            $entityManager: '@doctrine.orm.entity_manager'
